DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ChainCodeGetLength

Chain code measurement function

## SYNOPSIS

`#include "dip_chaincode.h"`

dip_Error dip_ChainCodeGetLength ( chaincode, length )

## FUNCTION

Computes the length of the boundary encoded by `chaincode`. See `FeaturePerimeter` for a description of the algorithm. `ChainCodeGetLength` is the function used by `Measure` for the `FeaturePerimeter` measurement.

## ARGUMENTS

Data type | Name | Description
`dip_ChainCode` | `chaincode` | Input chain code
`dip_float *` | `length` | Output measurement

## SEE ALSO

`ImageChainCode`, `ChainCodeNew`, `ChainCodeFree`, `ChainCodeGetLongestRun`, `ChainCodeGetFeret`, `ChainCodeGetRadius`